package oop.kolokvijum2013.karta.objekti;

public class Kota {
	private double x;
	private double y;
	private double visina;

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}

	public Kota(double x, double y, double visina) {
		this.x = x;
		this.y = y;
		this.visina = visina;
	}

	public boolean equals(Kota kota, double preciznost) {
		double apsolutnoX = Math.abs(this.x - kota.getX());
		double apsolutnoY = Math.abs(this.y - kota.getY());
		if (apsolutnoX < preciznost && apsolutnoY < preciznost)
			return true;
		return false;
	}

	public boolean equals(Kota kota) {
		double apsolutnoX = Math.abs(this.x - kota.getX());
		double apsolutnoY = Math.abs(this.y - kota.getY());
		if (apsolutnoX < 0.1 && apsolutnoY < 0.1)
			return true;
		return false;
	}

	public String toString() {
		return "(" + x + "," + y + "," + visina + ")";
	}

	public double rastojanje(Kota k1, Kota k2) {
		return (Math.sqrt(Math.pow(k1.getX() - k2.getX(), 2)
				+ Math.pow(k1.getY() - k2.getY(), 2)));
	}

	public double rastojanje(Kota k1) {
		if (k1 instanceof VezanaKota) {
			return k1.rastojanje(this);
		} else {
			return k1.rastojanje(k1, this);
		}
	}
}