package oop.kolokvijum2013.karta.objekti;

public class Kota 
{
	private double x, y, visina;

	public double getX() {
		return x;
	}

	public double getY() {
		return y;
	}

	public double getVisina() {
		return visina;
	}
	
	public Kota(double x, double y, double v)
	{
		this.x = x;
		this.y = y;
		this.visina = v;
	}
	
	public boolean equals(Kota k, double preciznost)
	{
		double rx, ry;
		
		rx = Math.abs(x - k.x);
		ry = Math.abs(y - k.y);
		
		if (rx < preciznost && ry < preciznost)
			return true;
		return false;
	}
	
	public boolean equals(Kota k)
	{
		return equals(k, 0.1);
	}
	
	public String toString()
	{
		return "(" + x + ", " + y + ", " + visina + ")";
	}
	
	public static double rastojanje(Kota k1, Kota k2)
	{
		double dx, dy;
		dx = k1.x - k2.x;
		dy = k1.y - k2.y;
		
		return Math.sqrt(Math.pow(dx, 2) + Math.pow(dy, 2));
	}
	
	public double rastojanje(Kota k)
	{
		if (k instanceof VezanaKota)
			return k.rastojanje(this);
		
		return rastojanje(this, k);
	}
}
